<app-store-head ></app-store-head>

<div class="container">

  <div class="row row-lg" >

    <div class="category-sidebar">
      <div class="card-header">Categorie Vetements</div>
     <ul>
       <li>
        <span>
          Filtrer par couleur
          <color-circle  ></color-circle>
        </span>
       </li>

       <li>
         <span>
           Filtrer par prix <br>
           <span>>=6500</span>
           <br>
           <input type="range" name="price" id="price" min="6500" max="100000">
           <span style="color:red ; " role="button">OK</span>
         </span>
       </li>
       <li>
         <span>
           Evaluation des clients
         </span> <br>
         <ul>
          <li>
            <input type="checkbox" name="star" id="star">

            <i class="fa-solid fa-star"></i>
           <span style="color: black ;"> et plus</span>


         </li>
           <li>
            <input type="checkbox" name="star" id="star">

              <i class="fa-solid fa-star"></i>
              <i class="fa-solid fa-star"></i>
              <span style="color: black ;"> et plus</span>


           </li>
           <li>
            <input type="checkbox" name="star" id="star">

            <i class="fa-solid fa-star"></i>
            <i class="fa-solid fa-star"></i>
            <i class="fa-solid fa-star"></i>
            <i class="fa-solid fa-star"></i>
            <span style="color: black ;"> et plus</span>


         </li>
         <li>
          <input type="checkbox" name="star" id="star">

          <i class="fa-solid fa-star"></i>
          <i class="fa-solid fa-star"></i>
          <i class="fa-solid fa-star"></i>
          <i class="fa-solid fa-star"></i>
          <i class="fa-solid fa-star"></i>
          <span style="color: black ;"> et plus</span>


       </li>
         </ul>
       </li>
       <li>
         <label for="size">Taille
           <br>
          <span>
            <input type="text" name="size" id="size" placeholder="search">
           </span>
         </label>
         <ul class="size">
  <li role="button">
    <input type="checkbox" name="sizing" id="sizing">

    M
  </li>
  <li role="button">
    <input type="checkbox" name="sizing" id="sizing">

    L
  </li>
  <li role="button">
    <input type="checkbox" name="sizing" id="sizing">

    XL
  </li>
  <li role="button">
    <input type="checkbox" name="sizing" id="sizing">

    XXL
  </li>


         </ul>
       </li>

       <li>
        <label for="print">
          Impression
          <br>
         <span>
           <input type="text" name="print" id="print" placeholder="search">
          </span>
        </label>
        <ul class="size">
 <li role="button">
  <input type="checkbox" name="printing" id="printing">

   DTF
 </li>
 <li role="button">
  <input type="checkbox" name="printing" id="printing">

   Broderie
 </li>
 <li role="button">
  <input type="checkbox" name="printing" id="printing">

  Flexographie
</li>

        </ul>
      </li>

      <li>
        Evaluation du vendeur


        <ul class="size">
 <li role="button">
   <input type="checkbox" name="printing" id="printing">
   80% et plus
 </li>
 <li role="button">
  <input type="checkbox" name="printing" id="printing">
  60% et plus
</li>
<li role="button">
  <input type="checkbox" name="printing" id="printing">
  40% et plus
</li>
<li role="button">
  <input type="checkbox" name="printing" id="printing">
  30% et plus
</li>
<li role="button">
  <input type="checkbox" name="printing" id="printing">
  20% et plus
</li>
<li role="button">
  <input type="checkbox" name="printing" id="printing">
  10% et plus
</li>



        </ul>
      </li>

      <li>
        Remise
        <ul class="size">
 <li role="button">
   <input type="checkbox" name="printing" id="printing">
   80% et plus
 </li>
 <li role="button">
  <input type="checkbox" name="printing" id="printing">
  60% et plus
</li>
<li role="button">
  <input type="checkbox" name="printing" id="printing">
  40% et plus
</li>
<li role="button">
  <input type="checkbox" name="printing" id="printing">
  30% et plus
</li>
<li role="button">
  <input type="checkbox" name="printing" id="printing">
  20% et plus
</li>
<li role="button">
  <input type="checkbox" name="printing" id="printing">
  10% et plus
</li>



        </ul>
      </li>

     </ul>
    </div>

    <div class="col">

  <div class="row">
    <div class="menu">
      <app-store-menu [menu]="menu"></app-store-menu>
    </div>
  </div>
      <div class="row " >

        <div class="card card-columns"  *ngFor="let item of products">
          <span class ="customize" role="button" (click)="customize(item.url,baseRoute)">Personnaliser</span>
          <img class="card-img-top" src="{{item.url}}">
          <span class="thumbup  badge badge-light" role="button"><i class="fa-solid fa-thumbs-up"></i>5</span>
          <span class="cartplus" role="button"><i class="fa-solid fa-cart-plus"></i></span>
          <span class="star badge badge-light"><i class="fa-solid fa-star"></i>4</span>
          <span role="button" class="share">
            <i class="fa-solid fa-square-share-nodes" ></i>
         </span>
          <div class="card-body">
            <p class="card-text">
              {{text}}
          </div>
        </div>


      </div>
    </div>

  </div>


  <div class="row onsmall ">
    <a  class="nav-link"  style="width:10% ;"  type="button" data-bs-toggle="offcanvas" data-bs-target="#filter" aria-controls="offcanvasScrolling"><i class="fa-solid fa-bars " ></i></a>

    <div class="menu">
      <app-store-menu [menu]="menu"></app-store-menu>
    </div>
    <div class="card "  *ngFor="let item of products">
      <span class ="customize" role="button" (click)="customize(item.url,baseRoute)">Personnaliser</span>
      <img class="card-img-top" src="{{item.url}}">
      <span class="thumbup  badge badge-light" role="button"><i class="fa-solid fa-thumbs-up"></i>5</span>
      <span class="cartplus" role="button"><i class="fa-solid fa-cart-plus"></i></span>
      <span class="star badge badge-light"><i class="fa-solid fa-star"></i>4</span>
      <span role="button" class="share">
        <i class="fa-solid fa-square-share-nodes" ></i>
     </span>
      <div class="card-body">
        <p class="card-text">
          {{text}}
      </div>
    </div>


  </div>

  <div class="row recom" hidden>
    <app-store-recommendation [url]="url"></app-store-recommendation>
  </div>
</div>

<div class="container-fluid">
  <app-store-footers></app-store-footers>

</div>


<div class="offcanvas offcanvas-top" data-bs-scroll="true" data-bs-backdrop="false" tabindex="-1" id="filter" aria-labelledby="text">
  <div class="offcanvas-header">
    <button type="button" class="btn-close text-reset" data-bs-dismiss="offcanvas" aria-label="Close"></button>
  </div>
  <div class="offcanvas-body">




    <div class="category-sidebar">
      <div class="card-header">Categorie Vetements</div>
     <ul>
       <li>
        <span>
          Filtrer par couleur
          <color-circle  ></color-circle>
        </span>
       </li>

       <li>
         <span>
           Filtrer par prix <br>
           <span>>=6500</span>
           <br>
           <input type="range" name="price" id="price" min="6500" max="100000">
           <span style="color:red ; " role="button">OK</span>
         </span>
       </li>
       <li>
         <span>
           Evaluation des clients
         </span> <br>
         <ul>
          <li>
            <input type="checkbox" name="star" id="star">

            <i class="fa-solid fa-star"></i>
           <span style="color: black ;"> et plus</span>


         </li>
           <li>
            <input type="checkbox" name="star" id="star">

              <i class="fa-solid fa-star"></i>
              <i class="fa-solid fa-star"></i>
              <span style="color: black ;"> et plus</span>


           </li>
           <li>
            <input type="checkbox" name="star" id="star">

            <i class="fa-solid fa-star"></i>
            <i class="fa-solid fa-star"></i>
            <i class="fa-solid fa-star"></i>
            <i class="fa-solid fa-star"></i>
            <span style="color: black ;"> et plus</span>


         </li>
         <li>
          <input type="checkbox" name="star" id="star">

          <i class="fa-solid fa-star"></i>
          <i class="fa-solid fa-star"></i>
          <i class="fa-solid fa-star"></i>
          <i class="fa-solid fa-star"></i>
          <i class="fa-solid fa-star"></i>
          <span style="color: black ;"> et plus</span>


       </li>
         </ul>
       </li>
       <li>
         <label for="size">Taille
           <br>
          <span>
            <input type="text" name="size" id="size" placeholder="search">
           </span>
         </label>
         <ul class="size">
  <li role="button">
    <input type="checkbox" name="sizing" id="sizing">

    M
  </li>
  <li role="button">
    <input type="checkbox" name="sizing" id="sizing">

    L
  </li>
  <li role="button">
    <input type="checkbox" name="sizing" id="sizing">

    XL
  </li>
  <li role="button">
    <input type="checkbox" name="sizing" id="sizing">

    XXL
  </li>


         </ul>
       </li>

       <li>
        <label for="print">
          Impression
          <br>
         <span>
           <input type="text" name="print" id="print" placeholder="search">
          </span>
        </label>
        <ul class="size">
 <li role="button">
  <input type="checkbox" name="printing" id="printing">

   DTF
 </li>
 <li role="button">
  <input type="checkbox" name="printing" id="printing">

   Broderie
 </li>
 <li role="button">
  <input type="checkbox" name="printing" id="printing">

  Flexographie
</li>

        </ul>
      </li>

      <li>
        Evaluation du vendeur


        <ul class="size">
 <li role="button">
   <input type="checkbox" name="printing" id="printing">
   80% et plus
 </li>
 <li role="button">
  <input type="checkbox" name="printing" id="printing">
  60% et plus
</li>
<li role="button">
  <input type="checkbox" name="printing" id="printing">
  40% et plus
</li>
<li role="button">
  <input type="checkbox" name="printing" id="printing">
  30% et plus
</li>
<li role="button">
  <input type="checkbox" name="printing" id="printing">
  20% et plus
</li>
<li role="button">
  <input type="checkbox" name="printing" id="printing">
  10% et plus
</li>



        </ul>
      </li>

      <li>
        Remise
        <ul class="size">
 <li role="button">
   <input type="checkbox" name="printing" id="printing">
   80% et plus
 </li>
 <li role="button">
  <input type="checkbox" name="printing" id="printing">
  60% et plus
</li>
<li role="button">
  <input type="checkbox" name="printing" id="printing">
  40% et plus
</li>
<li role="button">
  <input type="checkbox" name="printing" id="printing">
  30% et plus
</li>
<li role="button">
  <input type="checkbox" name="printing" id="printing">
  20% et plus
</li>
<li role="button">
  <input type="checkbox" name="printing" id="printing">
  10% et plus
</li>



        </ul>
      </li>

     </ul>
    </div>




<!-- Modal -->

  </div>
</div>
